Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.svg
Class Figure

    java.lang.Object
      org.newdawn.slick.svg.Figure

    public class Figure

extends java.lang.Object

A figure that is part of diagram loaded from SVG

Author:
  kevin

Field Summary
`static int` | `ELLIPSE` Ellipse Type
`static int` | `LINE` Line Type
`static int` | `PATH` Path Type
`static int` | `POLYGON` Polygon Type
`static int` | `RECTANGLE` Rectangle Type

Constructor Summary
`Figure(int type, Shape shape, NonGeometricData data, Transform transform)` Create a new figure

Method Summary
`NonGeometricData` | `getData()` Get the data associated with this figure
`Shape` | `getShape()` Get the shape of this figure
`Transform` | `getTransform()` Get the transform that was applied to the shape given in the SVG to get it to it's currently state
`int` | `getType()` Get the type of this figure

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELLIPSE

    public static final int ELLIPSE

  Ellipse Type

  See Also:
    Constant Field Values

### LINE

    public static final int LINE

  Line Type

  See Also:
    Constant Field Values

### RECTANGLE

    public static final int RECTANGLE

  Rectangle Type

  See Also:
    Constant Field Values

### PATH

    public static final int PATH

  Path Type

  See Also:
    Constant Field Values

### POLYGON

    public static final int POLYGON

  Polygon Type

  See Also:
    Constant Field Values

Constructor Detail

### Figure

    public Figure(int type,
                  Shape shape,
                  NonGeometricData data,
                  Transform transform)

  Create a new figure

  Parameters:
    `type` - The type of the figure
    `shape` - The shape of the figure
    `data` - The other associated data
    `transform` - The transform that was applied to the shape

Method Detail

### getTransform

    public Transform getTransform()

  Get the transform that was applied to the shape given in the SVG to get it to it's currently state

  Returns:
    The transform specified in the SVG

### getType

    public int getType()

  Get the type of this figure

  Returns:
    The type of this figure

### getShape

    public Shape getShape()

  Get the shape of this figure

  Returns:
    The shape of this figure

### getData

    public NonGeometricData getData()

  Get the data associated with this figure

  Returns:
    The data associated with this figure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.